/*********************************************************
world.h
manage world
made by phrounz
*********************************************************/

#ifndef WORLD_H
#define WORLD_H

//Loaded first time
void world_preload(IGUIFont *font_);

void world_setInformations(int initialLevel,int initialLifes);

//Load world (called for each level)
void world_load(void);

//Game loop
//Return false if loop must be ended
bool world_play(void);

//Draw HUD
void world_additionalDraw(void);

//Clear world.
//Get if the following screen will be a main menu or the game.
int world_clear(void);

//Return arguments to future Application execution
//const char **world_getArguments(const char *argv0);

//char *world_getCommandLine(const char *argv0);

#endif /*WORLD_H*/
